1 (edited by juanpablopwr 2014-05-17 04:44:04)

Topic: internal server error after upgrade to iRedMail-Pro-1.8.2

==== Required information ====
- iRedMail version: iRedAdmin-Pro-MySQL 1.8.2
- Store mail accounts in which backend (LDAP/MySQL/PGSQL): MysSQL
- Linux/BSD distribution name and version: Debian 7
- Related log if you're reporting an issue: Hi, I just upgraded to the new version by following the steps in the tutorial (http://www.iredmail.org/wiki/index.php? … .8.1-1.8.2)  and enter the properties of a domain or account gives error: internal server error
====


[Fri May 16 17:38:51 2014] [error] [client] Traceback (most recent call last):
[Fri May 16 17:38:51 2014] [error] [client]   File "/usr/lib/python2.7/dist-packages/web/application.py", line 239, in process
[Fri May 16 17:38:51 2014] [error] [client]     return self.handle()
[Fri May 16 17:38:51 2014] [error] [client]   File "/usr/lib/python2.7/dist-packages/web/application.py", line 230, in handle
[Fri May 16 17:38:51 2014] [error] [client]     return self._delegate(fn, self.fvars, args)
[Fri May 16 17:38:51 2014] [error] [client]   File "/usr/lib/python2.7/dist-packages/web/application.py", line 420, in _delegate
[Fri May 16 17:38:51 2014] [error] [client]     return handle_class(cls)
[Fri May 16 17:38:51 2014] [error] [client]   File "/usr/lib/python2.7/dist-packages/web/application.py", line 396, in handle_class
[Fri May 16 17:38:51 2014] [error] [client]     return tocall(*args)
[Fri May 16 17:38:51 2014] [error] [client]   File "/usr/share/apache2/iredadmin/controllers/decorators.py", line 11, in proxyfunc
[Fri May 16 17:38:51 2014] [error] [client]     return func(self, *args, **kw)
[Fri May 16 17:38:51 2014] [error] [client]   File "/usr/share/apache2/iredadmin/controllers/mysql/domain.py", line 147, in GET
[Fri May 16 17:38:51 2014] [error] [client]     domain_settings=iredutils.convert_sql_account_settings_to_dict(domain_profile['settings']),
[Fri May 16 17:38:51 2014] [error] [client] KeyError: 'settings'
[Fri May 16 17:38:51 2014] [error] [client]

2

Re: internal server error after upgrade to iRedMail-Pro-1.8.2

It's clearly mentioned that new releases of iRedAdmin-Pro requires iRedMail-0.8.7, because we have some SQL structure change in iRedMail. So please upgrade your iRedMail to the latest 0.8.7 immediately. Upgrade tutorials are available here:
http://www.iredmail.org/doc.html

3

Re: internal server error after upgrade to iRedMail-Pro-1.8.2

if payment for remote support, you update it me?

4

Re: internal server error after upgrade to iRedMail-Pro-1.8.2

zhang excellent, I really appreciate your work.
You have an excellent service and an excellent system.

problem solved

5

Re: internal server error after upgrade to iRedMail-Pro-1.8.2

Issue solved with a paid iRedMail remote upgrade service. Thanks very much for purchasing our remote support/upgrade service.